Bug 1350148 - Review Request: php-pecl-apcu-bc - APCu Backwards Compatibility Module
Summary: Review Request: php-pecl-apcu-bc - APCu Backwards Compatibility Module
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-26 05:50 UTC by Remi Collet
Modified: 2016-07-19 05:57 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 05:57:11 UTC
nathanael: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2016-06-26 05:50:17 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/244bba341aa41ca63e48589f601f089ff9f93abd/php/pecl/php-pecl-apcu-bc/php-pecl-apcu-bc.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-apcu-bc-1.0.3-3.remi.src.rpm
Description: 
This module provides a backwards compatible API for APC.


Fedora Account System Username: remi

Comment 1 Nathanael Noblet 2016-06-29 16:12:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

I assume the above is allowed due to it not being a system wide library.

[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "PHP (v3.01)". 3 files have unknown
     license. Detailed output of licensecheck in /home/gnat/1350148-php-
     pecl-apcu-bc/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/pecl

This directory is owned by php-pear, which is only a BuildRequires. However it installs documentation there so should probably have a Requires on php-pear if I'm not mistaken?

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in php-
     pecl-apcu-bc-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Other than those two items I see no other issues with the package.

Comment 2 Remi Collet 2016-06-29 16:52:59 UTC
Great thanks for taking this review.


> [x]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.
> 
> I assume the above is allowed due to it not being a system wide library.

This is not a library, only an extension, so indeed, OK.


> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/doc/pecl
> 
> This directory is owned by php-pear, which is only a BuildRequires. However
> it installs documentation there so should probably have a Requires on
> php-pear if I'm not mistaken?

No we don't want to require php-pear, see Fedora 24 feature
https://fedoraproject.org/wiki/Changes/drop_pear_dep

Can you please file a bug against PHP (F24) which should own this dir, obviously not this package.


> [!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.


This is only a should, not a blocker

BTW: https://github.com/remicollet/remirepo/commit/89902df76f6f0c401760e0026b9fb57ff0308fe8

Spec: https://raw.githubusercontent.com/remicollet/remirepo/89902df76f6f0c401760e0026b9fb57ff0308fe8/php/pecl/php-pecl-apcu-bc/php-pecl-apcu-bc.spec
Srpm: http://rpms.remirepo.net/SRPMS/php-pecl-apcu-bc-1.0.3-3.remi.src.rpm

Comment 3 Nathanael Noblet 2016-06-29 20:10:23 UTC
Looks good to me. I've also filed a bug against PHP in F24 to own the pecl doc directory.

Comment 4 Remi Collet 2016-06-30 04:28:01 UTC
Thanks for the review.

New package requested on pkgdb.

Comment 5 Gwyn Ciesla 2016-06-30 04:53:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-pecl-apcu-bc


Note You need to log in before you can comment on or make changes to this bug.